Bug 448452 - multilib hack on multilib arches only.
multilib hack on multilib arches only.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfsprogs (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 20:54 EDT by CHIKAMA Masaki
Modified: 2008-06-04 13:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 13:39:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xfsprogs-spec.diff (692 bytes, patch)
2008-05-26 20:54 EDT, CHIKAMA Masaki
no flags Details | Diff
xfsprogs-wrapper.patch (438 bytes, patch)
2008-05-26 20:55 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-05-26 20:54:43 EDT
Description of problem:

 The multilib hack should be applied on multilib arches only,
and we don't need patches for non multilib arches anymore.
I want to add SuperH(sh3,sh4) architecture support.

--- xfsprogs.spec.orig  2008-05-27 09:42:04.000000000 +0900
+++ xfsprogs.spec       2008-05-27 09:42:33.000000000 +0900
@@ -1,3 +1,5 @@
+%define multilib_arches %{ix86} ia64 ppc ppc64 s390 s390x x86_64
+
 Summary:       Utilities for managing the XFS filesystem
 Name:          xfsprogs
 Version:       2.9.8
@@ -73,9 +75,11 @@
 rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/xfsprogs/
  
 # ugly hack to allow parallel install of 32-bit and 64-bit -devel packages:
+%ifarch %{multilib_arches}
 mv -f $RPM_BUILD_ROOT%{_includedir}/xfs/platform_defs.h \
       $RPM_BUILD_ROOT%{_includedir}/xfs/platform_defs-%{_arch}.h
 install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_includedir}/xfs/platform_defs.h
+%endif
  
 %find_lang %{name}

--- xfsprogs-wrapper.h.orig     2008-05-27 09:41:48.000000000 +0900
+++ xfsprogs-wrapper.h  2008-05-27 09:44:19.000000000 +0900
@@ -17,10 +17,6 @@
 #include "platform_defs-s390.h"
 #elif defined(__x86_64__)
 #include "platform_defs-x86_64.h"
-#elif defined(__alpha__)
-#include "platform_defs-alpha.h"
-#elif defined(__arm__)
-#include "platform_defs-arm.h"
 #else
 #error "This xfsprogs-devel package does not work your architecture?"
 #endif
Comment 1 CHIKAMA Masaki 2008-05-26 20:54:43 EDT
Created attachment 306715 [details]
xfsprogs-spec.diff
Comment 2 CHIKAMA Masaki 2008-05-26 20:55:19 EDT
Created attachment 306716 [details]
xfsprogs-wrapper.patch
Comment 3 Eric Sandeen 2008-06-04 13:11:43 EDT
Thanks, this does look better.  I already suggested to someone (you?) but if
it's not there already we should probably put this on the fedora wiki page for
multilib hacks...
Comment 4 Eric Sandeen 2008-06-04 13:39:18 EDT
Committed in xfsprogs-2.9.8-2 in rawhide, building now. Thanks.

Note You need to log in before you can comment on or make changes to this bug.